Loading...
Searching...
No Matches
pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices Struct Reference

optimization functor structure More...

`#include <pcl/registration/gicp.h>`

Inheritance diagram for pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices:

## Public Member Functions

| OptimizationFunctorWithIndices (const GeneralizedIterativeClosestPoint *gicp)
double | operator() (const Vector6d &x) override
void | df (const Vector6d &x, Vector6d &df) override
void | fdf (const Vector6d &x, double &f, Vector6d &df) override
void | dfddf (const Vector6d &x, Vector6d &df, Matrix6d &ddf)
BFGSSpace::Status | checkGradient (const Vector6d &g) override
Public Member Functions inherited from BFGSDummyFunctor< double, 6 >
| BFGSDummyFunctor ()
| BFGSDummyFunctor (int inputs)
virtual | ~BFGSDummyFunctor ()=default
int | inputs () const
virtual double | operator() (const VectorType &x)=0
virtual void | df (const VectorType &x, VectorType &df)=0
virtual void | fdf (const VectorType &x, Scalar &f, VectorType &df)=0
virtual BFGSSpace::Status | checkGradient (const VectorType &)

## Public Attributes

const GeneralizedIterativeClosestPoint * | gicp_
Public Attributes inherited from BFGSDummyFunctor< double, 6 >
const int | m_inputs

## Additional Inherited Members

Public Types inherited from BFGSDummyFunctor< double, 6 >
enum |
using | Scalar = double
using | VectorType = Eigen::Matrix< Scalar, InputsAtCompileTime, 1 >

## Detailed Description

template<typename PointSource, typename PointTarget, typename Scalar = float>
struct pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices

optimization functor structure

Definition at line 491 of file gicp.h.

## Constructor & Destructor Documentation

## OptimizationFunctorWithIndices()

template<typename PointSource , typename PointTarget , typename Scalar = float>

pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices | ( | const GeneralizedIterativeClosestPoint * | gicp | ) |

inline

Definition at line 492 of file gicp.h.

## Member Function Documentation

## checkGradient()

template<typename PointSource , typename PointTarget , typename Scalar >

BFGSSpace::Status pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::checkGradient | ( | const Vector6d & | g | ) |

inline override

Definition at line 746 of file gicp.hpp.

References BFGSSpace::NegativeGradientEpsilon, BFGSSpace::Running, and BFGSSpace::Success.

## df()

template<typename PointSource , typename PointTarget , typename Scalar >

void pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::df | ( | const Vector6d & | x,
|  | Vector6d & | df
| ) |  |

inline override

Definition at line 513 of file gicp.hpp.

## dfddf()

template<typename PointSource , typename PointTarget , typename Scalar >

void pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::dfddf | ( | const Vector6d & | x,
|  | Vector6d & | df,
|  | Matrix6d & | ddf
| ) |  |

inline

Definition at line 600 of file gicp.hpp.

## fdf()

template<typename PointSource , typename PointTarget , typename Scalar >

void pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::fdf | ( | const Vector6d & | x,
|  | double & | f,
|  | Vector6d & | df
| ) |  |

inline override

Definition at line 556 of file gicp.hpp.

## operator()()

template<typename PointSource , typename PointTarget , typename Scalar >

double pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::operator() | ( | const Vector6d & | x | ) |

inline override

Definition at line 482 of file gicp.hpp.

## Member Data Documentation

## gicp_

template<typename PointSource , typename PointTarget , typename Scalar = float>

const GeneralizedIterativeClosestPoint* pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::OptimizationFunctorWithIndices::gicp_

Definition at line 506 of file gicp.h.

The documentation for this struct was generated from the following files:

- pcl/registration/gicp.h
- pcl/registration/impl/gicp.hpp